## gate.jape.parser
Class ParseCpsl

    java.lang.Object
      |
      +--gate.jape.parser.ParseCpsl

All Implemented Interfaces:
  JapeConstants, ParseCpslConstants, Serializable

public class ParseCpsl
extends Object
implements JapeConstants, ParseCpslConstants

A parser for the CPSL language. Generated using JavaCC.

See Also:
  Serialized Form

Field Summary
`Token` `jj_nt`
`boolean` `lookingAhead`
`Token` `token`
`ParseCpslTokenManager` `token_source`

Fields inherited from interface gate.jape.JapeConstants
`APPELT_STYLE, BRILL_STYLE, DEFAULT_PRIORITY, FIRST_STYLE, INDENT_PADDING, KLEENE_PLUS, KLEENE_QUERY, KLEENE_STAR, MULTI_SPAN_BINDING, NO_BINDING, NO_KLEENE_OP, SINGLE_SPAN_BINDING`

Fields inherited from interface gate.jape.parser.ParseCpslConstants

`assign, bar, bool, colon, colonplus, comma, commentChars, commentEnd, commentStart, DEFAULT, digits, EOF, equals, exponent, floatingPoint, ident, IN_PHASES, IN_STRING, input, integer, kleeneOp, leftBrace, leftBracket, letter, letterOrDigitOrDash, letters, lettersAndDigits, lettersAndDigitsAndDashes, macro, multiphase, newline, option, other, path, period, phase, phases, PHASES_WITHIN_COMMENT, phasesCommentChars, phasesCommentEnd, phasesCommentStart, phasesSingleLineCpslStyleComment, phasesSingleLineCStyleComment, phasesWhiteSpace, pling, priority, rightBrace, rightBracket, rule, semicolon, singleLineCpslStyleComment, singleLineCStyleComment, space, spaces, string, tokenImage, whiteSpace, WITHIN_COMMENT`

Constructor Summary
`ParseCpsl(InputStream stream)`
`ParseCpsl(ParseCpslTokenManager tm)`
`ParseCpsl(Reader stream)`
`ParseCpsl(URL url, String encoding)` Construct from a URL and an encoding
`ParseCpsl(URL url, String encoding, HashMap existingMacros)` Construct from a URL and an encoding

Method Summary
`String[]` `Action()`
`void` `addStatusListener(StatusListener listener)`
`String[]` `AnonymousJavaBlock()`
`String[]` `AssignmentExpression()`
`Pair` `AttrVal()`
`BasicPatternElement` `BasicPatternElement()`
`ComplexPatternElement` `ComplexPatternElement(LeftHandSide lhs)`
`Constraint` `Constraint()`
`void` `ConstraintGroup(LeftHandSide lhs, ConstraintGroup cg)`
`void` `disable_tracing()`
`void` `enable_tracing()`
`ParseException` `generateParseException()`
`Token` `getNextToken()`
`Token` `getToken(int index)`
`LeftHandSide` `LeftHandSide()`
`void` `MacroDef()`
`MultiPhaseTransducer` `MultiPhaseTransducer()`
`String[]` `NamedJavaBlock()`
`PatternElement` `PatternElement(LeftHandSide lhs)`
`void` `ReInit(InputStream stream)`
`void` `ReInit(ParseCpslTokenManager tm)`
`void` `ReInit(Reader stream)`
`void` `removeStatusListener(StatusListener listener)`
`RightHandSide` `RightHandSide(String phaseName, String ruleName, LeftHandSide lhs)`
`Rule` `Rule(String phaseName)`
`SinglePhaseTransducer` `SinglePhaseTransducer()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public ParseCpslTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### ParseCpsl

    public ParseCpsl(URL url,
                     String encoding)
              throws IOException

  Construct from a URL and an encoding

### ParseCpsl

    public ParseCpsl(URL url,
                     String encoding,
                     HashMap existingMacros)
              throws IOException

  Construct from a URL and an encoding

### ParseCpsl

    public ParseCpsl(InputStream stream)

### ParseCpsl

    public ParseCpsl(Reader stream)

### ParseCpsl

    public ParseCpsl(ParseCpslTokenManager tm)

Method Detail

### addStatusListener

    public void addStatusListener(StatusListener listener)

### removeStatusListener

    public void removeStatusListener(StatusListener listener)

### MultiPhaseTransducer

    public final MultiPhaseTransducer MultiPhaseTransducer()
                                                    throws ParseException

### SinglePhaseTransducer

    public final SinglePhaseTransducer SinglePhaseTransducer()
                                                      throws ParseException

### Rule

    public final Rule Rule(String phaseName)
                    throws ParseException

### MacroDef

    public final void MacroDef()
                        throws ParseException

### LeftHandSide

    public final LeftHandSide LeftHandSide()
                                    throws ParseException

### ConstraintGroup

    public final void ConstraintGroup(LeftHandSide lhs,
                                      ConstraintGroup cg)
                               throws ParseException

### PatternElement

    public final PatternElement PatternElement(LeftHandSide lhs)
                                        throws ParseException

### BasicPatternElement

    public final BasicPatternElement BasicPatternElement()
                                                  throws ParseException

### ComplexPatternElement

    public final ComplexPatternElement ComplexPatternElement(LeftHandSide lhs)
                                                      throws ParseException

### Constraint

    public final Constraint Constraint()
                                throws ParseException

### AttrVal

    public final Pair AttrVal()
                       throws ParseException

### RightHandSide

    public final RightHandSide RightHandSide(String phaseName,
                                             String ruleName,
                                             LeftHandSide lhs)
                                      throws ParseException

### Action

    public final String[] Action()
                          throws ParseException

### NamedJavaBlock

    public final String[] NamedJavaBlock()
                                  throws ParseException

### AnonymousJavaBlock

    public final String[] AnonymousJavaBlock()
                                      throws ParseException

### AssignmentExpression

    public final String[] AssignmentExpression()
                                        throws ParseException

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(ParseCpslTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()